<?php if (!defined('BB2_CORE')) die('I said no cheating!');

// Functions called when a request has been denied
// This part can be gawd-awful slow, doesn't matter :)

require_once(BB2_CORE . "/responses.inc.italian-utf8.php");

function bb2_housekeeping($bb_settings, $package)
{
	if (!$bb_settings['logging']) return;

	// FIXME Yes, the interval's hard coded (again) for now.
	$query = "DELETE FROM `" . $bb_settings['log_table'] . "` WHERE `date` < DATE_SUB('" . bb2_db_date() . "', INTERVAL 7 DAY)";
	bb2_db_query($query);

	// Waste a bunch more of the spammer's time, sometimes.
	if (rand(1,1000) == 1) {
		$query = "OPTIMIZE TABLE `" . $bb_settings['log_table'] . "`";
		bb2_db_query($query);
	}

	// Bad Behavior Start
	global $bbcachedir;

	// No directory = no game.
	if (!is_dir($bbcachedir))
		return false;

	$type = $lastchanged = $cachedfile = '';
	$type = 'data'; //  This is prefix to the cache file
	$dh = opendir($bbcachedir);
	while (false !== ($file = readdir($dh))) {
		if ($file != '.' && $file != '..' && $file != 'index.php' && $file != '.htaccess' && (!$type || substr($file, 0, strlen($type)) == $type)) {
			$cachedfile = $bbcachedir . '/' . $file;
			$findme = 'badbehavior';
			$pos = strpos($cachedfile, $findme);
			if ($pos !== false) {  //  Identify a cache file
				$lastchanged = (file_exists($cachedfile) ? filemtime($cachedfile) : false);
				if (($lastchanged !== false) && (date('Y-m-d H:i:s', $lastchanged) <= date('Y-m-d H:i:s', strtotime('yesterday 23:59:59')))) {
					@unlink($cachedfile); }
	}	}	}
	closedir($dh);
	// Bad Behavior End
}

function bb2_display_denial($bb_settings, $package, $key, $previous_key = false)
{
	define('DONOTCACHEPAGE', true);	// WP Super Cache
	if (!$previous_key) $previous_key = $key;
	if ($key == "e87553e1") {
		// FIXME: lookup the real key
	}
	// Create support key
	$ip = explode(".", $package['ip']);
	$ip_hex = "";
	foreach ($ip as $octet) {
		$ip_hex .= str_pad(dechex($octet), 2, 0, STR_PAD_LEFT);
	}
	$support_key = implode("-", str_split("$ip_hex$key", 4));

	// Bad Behavior for SMF start
	global $modSettings;
	$honeyLink = $maxnum = '';
	if(stristr($package['user_agent'], 'Mediapartners-Google') || stristr($package['user_agent'], 'Googlebot') || stristr($package['user_agent'], 'Google Web Preview') || stristr($package['user_agent'], 'AdsBot-Google'))
		$maxnum=10;
	$honeyLink = BB_honeyLink($maxnum);
	// Bad Behavior for SMF end 

	// Get response data
	$response = bb2_get_response($previous_key);
	header("HTTP/1.1 " . $response['response'] . " Bad Behavior");
	header("Status: " . $response['response'] . " Bad Behavior");
	$request_uri = $_SERVER["REQUEST_URI"];
	if (!$request_uri) $request_uri = $_SERVER['SCRIPT_NAME'];	# IIS
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--< html xmlns="http://www.w3.org/1999/xhtml">-->
<head>
<title>HTTP Error <?php echo $response['response']; ?></title>
</head>
<body>
<h1>Error <?php echo $response['response']; ?></h1>
<p>Siamo spiacenti, ma non abbiamo potuto completare la vostra richiesta per 
<?php echo htmlspecialchars($request_uri) ?> su questo server.</p>
<p><?php echo $response['explanation']; ?></p>
<p>La vostra chiave tecnica di supporto &egrave;: <strong><?php echo $support_key; ?></strong></p>
<p>Puoi usare questa chiave per <a href="http://www.ioerror.us/bb2-support-key?key=<?php echo $support_key; ?>">risolvere questo problema autonomamente</a>.</p><?php echo $honeyLink; ?>
<p>Se non sei in grado di risolvere il problema da solo, per favore contatta <a href="<?php echo bb2_email_scramble(); ?>"><?php echo bb2_email_to(); ?></a> e assicurati di fornire la chiave tecnica di supporto presente sopra.</p>
<?php
// Bad Behavior for SMF start
global $modSettings;

if ($modSettings['badbehavior_email_allow']) {
	global $webmaster_email, $context, $txt, $scripturl, $sourcedir;

	$emailsubject = $emailbody = $emailcontact = '';

	require_once($sourcedir . '/Subs-Post.php');

	$emailcontact = bb2_email();
	$emailsubject = "La Mod Bad Behavior Mod per SMF ha fermato un po' di spam!";
	$emailbody = " La Mod Bad Behavior Mod ha appena bloccato un tentativo di spam.\n\r";
	$emailbody .= " Chiave Supporto: ".$support_key."\n\r";
	$emailbody .= " Errore ".$response['response']."\n\r";
	$emailbody .= " per ".htmlspecialchars($request_uri)."\n\r";
	$emailbody .= " Motivo: ".$response['explanation']."\n\r";
	$emailbody .= " Registrato come: ".$response['log']."\n\r";

	sendmail($emailcontact, $emailsubject, $emailbody, null, null, false, 0);
}
// Bad Behavior for SMF end
}

function bb2_log_denial($bb_settings, $package, $key, $previous_key=false)
{
	if (!$bb_settings['logging']) return;
	bb2_db_query(bb2_insert($bb_settings, $package, $key));
}
?>