<?php
/**********************************************************************************
* Subs_badbehavior_bbc.php - SMF 2.0.X BBC for BadBehavior mod
* Version 1.5.6 by JMiller a/k/a butchs
* (http://www.eastcoastrollingthunder.com) 
*********************************************************************************
* This program is distributed in the hope that it is and will be useful, but
* WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY
* or FITNESS FOR A PARTICULAR PURPOSE.
**********************************************************************************/

if (!defined('SMF'))
	die('Hacking attempt...');

function badbehavior_suspicious_hide($codes) {
	global $txt, $user_info, $modSettings;

	if(isset($txt['sse'])) return;  //  Only one suspicious BBC

	loadlanguage('BadBehavior_bbc');

	$codes[] = array(
				'tag' => 'suspicious',
				'type' => 'unparsed_content',
				'content' => '$1',
				'validate' => ($modSettings['enable_badbehavior'] && $user_info['is_guest'] && $user_info['is_suspicious']) ? create_function('&$tag, &$data, $disabled', '$data = "&nbsp;";'): null,
			);
}

function badbehavior_suspicious_button($buttons) {
	global $txt;

	if(isset($txt['sse'])) return;  //  Only one suspicious BBC

	loadlanguage('BadBehavior_bbc');

	$buttons[count($buttons) - 1][] = array(
		'image' => 'badbehavior_bbc',
		'code' => 'suspicious',
		'before' => '[suspicious]',
		'after' => '[/suspicious]',
		'description' => $txt['badbehavior_suspicious'],
	);
}

?>