<?php
/**********************************************************************************
* uninstall_db.php - PHP template to delete the scheduled task
* Version 1.5.4 by JMiller a/k/a butchs
* (http://www.eastcoastrollingthunder.com) 
*********************************************************************************
* This program is distributed in the hope that it is and will be useful, but
* WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY
* or FITNESS FOR A PARTICULAR PURPOSE.
**********************************************************************************/
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
else if(!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php and SSI.php files.');

if ((SMF == 'SSI') && !$user_info['is_admin'])
	die('Admin priveleges required.');

global $smcFunc, $user_info, $db_prefix;

if(isset($smcFunc))
{

global $modSettings, $boarddir, $sourcedir;

	//  Delete Scheduled Task
	$smcFunc['db_query']('', '
	DELETE FROM {db_prefix}scheduled_tasks WHERE task = "badbehavior"
');

	$smcFunc['db_query']('', '
	DELETE FROM {db_prefix}scheduled_tasks WHERE task = "prgbadbehavior"
');

	//  Delete BBC hooks
	if (function_exists('add_integration_function')) {
	$badbehavior_integraton_hooks = array(
		'integrate_bbc_codes' => 'badbehavior_suspicious_hide',
		'integrate_bbc_buttons' => 'badbehavior_suspicious_button',
		'integrate_pre_include' => '$boarddir/Sources/Subs_badbehavior_bbc.php',
	);

	foreach ($badbehavior_integraton_hooks as $badbehavior_hook => $badbehavior_integraton_function)
		remove_integration_function($badbehavior_hook, $badbehavior_integraton_function); 

	Unset($badbehavior_integraton_hooks);
	Unset($badbehavior_hook, $badbehavior_integraton_function);

	//  Delete BBC code
	if (!empty($modSettings['disabledBBC'])) {

		$BB_uninstall_content = '';

	if (strpos($modSettings['disabledBBC'], ',') !== false) {
		$BB_uninstall_temp = array();
		$BB_uninstall_temp = explode(',', strtolower($modSettings['disabledBBC']));

		if (in_array('suspicious', $BB_uninstall_temp)) {
			foreach ($BB_uninstall_temp as $key => $value)  {
				$pos = strpos(strtolower($value), 'suspicious');
				if ($pos !== false) {
				} else {
					$BB_uninstall_content .= $value . ',';
				}
			}
			unset($value);
			$BB_uninstall_content = substr($BB_uninstall_content, 0, -1);
		}
	} else {
		if ($modSettings['disabledBBC'] !== 'suspicious')
			$BB_content = $modSettings['disabledBBC'];
	}
			$smcFunc['db_insert']('replace',
				$db_prefix . 'settings',
				array('variable' => 'string', 'value' => 'string',
				),
				array(
					array('disabledBBC', $BB_uninstall_content),
				),
				array('variable')
			);
		}
		unset($BB_uninstall_temp);
	}

	// Force mod off
	$smcFunc['db_insert']('replace',
		$db_prefix . 'settings',
			array('variable' => 'string', 'value' => 'string',
			),
			array(
				array('enable_badbehavior', '0'),
			),
			array('variable')
		);
} else {
	// SMF 1.1.x Force mod off
	db_query("REPLACE INTO
		{$db_prefix}settings
		(variable, value)
		VALUES	('enable_badbehavior', '0')
			", __FILE__, __LINE__);
}

?>